package com.aizuda.boot.modules.test.entity;

import com.aizuda.core.bean.BaseEntity;
import com.aizuda.core.validation.Create;
import com.baomidou.mybatisplus.annotation.TableName;
import jakarta.validation.constraints.PositiveOrZero;
import jakarta.validation.constraints.Size;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Setter;
import lombok.Getter;

/**
 * 测试采购单
 *
 * @author hubin
 * @since 2024-06-10
 */
@Getter
@Setter
@Schema(name = "TestPurchaseOrder", description = "测试采购单")
@TableName("test_purchase_order")
public class TestPurchaseOrder extends BaseEntity {

	@Schema(description = "标题")
	@Size(max = 255)
	private String title;

	@Schema(description = "内容")
	@Size(max = 255)
	private String content;

	@Schema(description = "审批状态 0，待审批 1，审批中 2，已通过 3，已拒绝")
	@PositiveOrZero
	private Integer status;

	@Schema(description = "流程实例ID")
	@PositiveOrZero
	private Long flwInstanceId;

	@Schema(description = "流程审批评论")
	@Size(max = 255)
	private String flwComment;

}
